"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var styles_1 = require("@material-ui/core/styles");
var useStyles = styles_1.makeStyles(function (theme) { return ({
    load_data_styles: {
        color: theme.palette.primary.dark,
        cursor: 'pointer',
        position: 'fixed',
        top: '80px',
        right: '40px',
        '&:hover': {
            color: theme.palette.error.dark,
        },
        '&:active': {
            color: theme.palette.secondary.dark
        },
    }
}); });
var LoadData = react_1.memo(function (props) {
    var classes = useStyles();
    return react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { className: classes.load_data_styles, onClick: props.loadData, icon: ['far', 'sync-alt'], size: '2x' });
});
exports.LoadData = LoadData;
