"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_notification_system_redux_1 = __importDefault(require("react-notification-system-redux"));
var style = {
    NotificationItem: {
        DefaultStyle: {
            margin: '10px 5px 2px 1px'
        },
        error: {
            color: 'red'
        },
        success: {
            color: 'green'
        }
    }
};
var NotificationSystem = function (props) {
    var notifications = props.notifications;
    return (react_1.default.createElement(react_notification_system_redux_1.default, { notifications: notifications, style: style }));
};
exports.NotificationSystem = NotificationSystem;
