"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var Dialog_1 = __importDefault(require("@material-ui/core/Dialog"));
var DialogContent_1 = __importDefault(require("@material-ui/core/DialogContent"));
var DialogTitle_1 = __importDefault(require("@material-ui/core/DialogTitle"));
var DialogActions_1 = __importDefault(require("@material-ui/core/DialogActions"));
var Button_1 = __importDefault(require("@material-ui/core/Button"));
var clsx_1 = __importDefault(require("clsx"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var core_1 = require("@material-ui/core");
var TextField_1 = __importDefault(require("@material-ui/core/TextField"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var useStyles = core_1.makeStyles(function (theme) { return ({
    button: {
        margin: theme.spacing(1),
    },
    leftIcon: {
        marginRight: theme.spacing(1),
    },
    rightIcon: {
        marginLeft: theme.spacing(1),
    },
    iconSmall: {
        fontSize: 20,
    },
}); });
exports.SiNoDialog = function (props) {
    var classes = useStyles();
    var title = props.title, is_open = props.is_open, onSi = props.onSi, onNo = props.onNo, children = props.children, _a = props.on_si_texto, on_si_texto = _a === void 0 ? 'Sí' : _a, _b = props.on_no_texto, on_no_texto = _b === void 0 ? 'No' : _b, _c = props.texto_verificacion_comprobacion, texto_verificacion_comprobacion = _c === void 0 ? null : _c;
    var _d = react_1.useState(''), texto_verificacion = _d[0], setTextoVerificacion = _d[1];
    var valido = texto_verificacion_comprobacion ? texto_verificacion_comprobacion === texto_verificacion : true;
    return (react_1.default.createElement(Dialog_1.default, { fullScreen: false, open: is_open },
        react_1.default.createElement(DialogTitle_1.default, { id: "responsive-dialog-title" }, title),
        react_1.default.createElement(DialogContent_1.default, null,
            children,
            texto_verificacion_comprobacion && react_1.default.createElement("div", { className: 'row' },
                react_1.default.createElement("div", { className: "col-12 col-md-6 pt-2" },
                    "Texto verificaci\u00F3n:",
                    react_1.default.createElement(Typography_1.default, { variant: "h5", color: "primary", noWrap: true }, texto_verificacion_comprobacion)),
                react_1.default.createElement("div", { className: "col-12 col-md-6" },
                    react_1.default.createElement(TextField_1.default, { onChange: function (e) { return setTextoVerificacion(e.target.value); }, label: 'Texto Verificaci\u00F3n', placeholder: 'Digite el texto de Verificaci\u00F3n...', margin: "normal" })))),
        react_1.default.createElement(DialogActions_1.default, null,
            react_1.default.createElement(Button_1.default, { color: "primary", variant: "contained", onClick: onSi, disabled: !valido },
                on_si_texto,
                react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { className: clsx_1.default(classes.rightIcon, classes.iconSmall), icon: 'thumbs-up', size: 'lg' })),
            react_1.default.createElement(Button_1.default, { color: "secondary", variant: "contained", onClick: onNo },
                on_no_texto,
                react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { className: clsx_1.default(classes.rightIcon, classes.iconSmall), icon: 'thumbs-down', size: 'lg' })))));
};
