"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var redux_form_1 = require("redux-form");
var react_1 = __importDefault(require("react"));
var FormControlLabel_1 = __importDefault(require("@material-ui/core/FormControlLabel"));
var Checkbox_1 = __importDefault(require("@material-ui/core/Checkbox"));
var renderCheckbox = function (_a) {
    var input = _a.input, label = _a.label;
    var is_checked = typeof input.value === 'boolean' ? input.value : false;
    return react_1.default.createElement(FormControlLabel_1.default, { control: react_1.default.createElement(Checkbox_1.default, { checked: is_checked, color: 'primary', onChange: function (event, value) { return input.onChange(value); } }), label: label });
};
exports.MyCheckboxSimple = function (props) {
    var onClick = props.onClick, _a = props.className, className = _a === void 0 ? null : _a, label = props.label, name = props.name;
    return (react_1.default.createElement("div", { className: className },
        react_1.default.createElement(redux_form_1.Field, __assign({ onClick: function () {
                if (onClick) {
                    onClick();
                }
            } }, props, { name: props.name, component: renderCheckbox, label: label ? label : name, normalize: function (v) { return !!v; } }))));
};
