"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_data_export_1 = __importDefault(require("react-data-export"));
var Button_1 = __importDefault(require("@material-ui/core/Button"));
var lodash_1 = __importDefault(require("lodash"));
var ExcelDownload = function (props) {
    var data = props.data, name = props.name, _a = props.file_name, file_name = _a === void 0 ? 'DownloadedExcel' : _a;
    if (data.length === 0) {
        return null;
    }
    var data_download = lodash_1.default.map(data, function (e) { return lodash_1.default.pickBy(e, function (s) { return !Array.isArray(s) && typeof s !== 'object'; }); });
    var ExcelFile = react_data_export_1.default.ExcelFile;
    var ExcelSheet = react_data_export_1.default.ExcelFile.ExcelSheet;
    var ExcelColumn = react_data_export_1.default.ExcelFile.ExcelColumn;
    var data_one = lodash_1.default.map(data)[0];
    var header = [];
    lodash_1.default.mapKeys(data_one, function (value, key) {
        header = __spreadArrays(header, [key]);
    });
    return (react_1.default.createElement(ExcelFile, { element: react_1.default.createElement(Button_1.default, { color: 'primary', className: 'ml-3' }, "Descargar Excel"), filename: file_name },
        react_1.default.createElement(ExcelSheet, { data: data_download, name: name }, header.map(function (c) { return react_1.default.createElement(ExcelColumn, { key: c, label: c, value: c }); }))));
};
exports.ExcelDownload = ExcelDownload;
